| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::RIFF::WAV::Properties Class Reference

An implementation of audio property reading for WAV. More...

`#include <wavproperties.h>`

Inheritance diagram for TagLib::RIFF::WAV::Properties:
[legend]
Collaboration diagram for TagLib::RIFF::WAV::Properties:
[legend]

## Public Member Functions
TAGLIB_DEPRECATED | Properties (const ByteVector &data, ReadStyle style)
TAGLIB_DEPRECATED | Properties (const ByteVector &data, unsigned int streamLength, ReadStyle style)
| Properties (File *file, ReadStyle style)
virtual | ~Properties ()
virtual TAGLIB_DEPRECATED int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const
virtual int | channels () const
int | bitsPerSample () const
TAGLIB_DEPRECATED int | sampleWidth () const
unsigned int | sampleFrames () const
int | format () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Additional Inherited Members
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for WAV.

This reads the data from an WAV stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## ◆ Properties() [1/3]

TAGLIB_DEPRECATED TagLib::RIFF::WAV::Properties::Properties | ( | const ByteVector & | data,
|  | ReadStyle | style
| ) |  |

Create an instance of WAV::Properties with the data read from the ByteVector data.

Deprecated:
  Use Properties(File *, ReadStyle).

## ◆ Properties() [2/3]

TAGLIB_DEPRECATED TagLib::RIFF::WAV::Properties::Properties | ( | const ByteVector & | data,
|  | unsigned int | streamLength,
|  | ReadStyle | style
| ) |  |

Create an instance of WAV::Properties with the data read from the ByteVector data and the length calculated using streamLength.

Deprecated:
  Use Properties(File *, ReadStyle).

## ◆ Properties() [3/3]

TagLib::RIFF::WAV::Properties::Properties | ( | File * | file,
|  | ReadStyle | style
| ) |  |

Create an instance of WAV::Properties with the data read from the WAV::File file.

## ◆ ~Properties()

virtual TagLib::RIFF::WAV::Properties::~Properties | ( |  | ) |
| virtual

Destroys this WAV::Properties instance.

## Member Function Documentation

## ◆ bitrate()

virtual int TagLib::RIFF::WAV::Properties::bitrate | ( |  | ) | const
| virtual

Returns the average bit rate of the file in kb/s.

Implements TagLib::AudioProperties.

## ◆ bitsPerSample()

int TagLib::RIFF::WAV::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample.

## ◆ channels()

virtual int TagLib::RIFF::WAV::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ format()

int TagLib::RIFF::WAV::Properties::format | ( |  | ) | const

Returns the format ID of the file. 0 for unknown, 1 for PCM, 2 for ADPCM, 3 for 32/64-bit IEEE754, and so forth.

Note
  For further information, refer to the WAVE Form Registration Numbers in RFC 2361.

## ◆ length()

virtual TAGLIB_DEPRECATED int TagLib::RIFF::WAV::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

Note
  This method is just an alias of lengthInSeconds().

Deprecated:
  Use lengthInSeconds().

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::RIFF::WAV::Properties::lengthInMilliseconds | ( |  | ) | const

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

## ◆ lengthInSeconds()

int TagLib::RIFF::WAV::Properties::lengthInSeconds | ( |  | ) | const

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

## ◆ sampleFrames()

unsigned int TagLib::RIFF::WAV::Properties::sampleFrames | ( |  | ) | const

Returns the number of sample frames.

## ◆ sampleRate()

virtual int TagLib::RIFF::WAV::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

## ◆ sampleWidth()

TAGLIB_DEPRECATED int TagLib::RIFF::WAV::Properties::sampleWidth | ( |  | ) | const

Returns the number of bits per audio sample.

Note
  This method is just an alias of bitsPerSample().

Deprecated:
  Use bitsPerSample().

The documentation for this class was generated from the following file:

- wavproperties.h